libvtemm: Gnome::Vte::CharAttributes Class Reference

libvtemm 0.25.0

- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions
Gnome::Vte::CharAttributes Class Reference

CharAttributes - class storing attributes of single char in string. More...

`#include <libvtemm/charattributes.h>`

List of all members.

## Public Member Functions
long | get_row () const
| Gets row of a char.
long | get_column () const
| Gets column of a char.
Gdk::Color | get_fore () const
| Gets color of a char.
Gdk::Color | get_back () const
| Gets background color of a char.
bool | get_underline () const
| Checks whether or not a char is underlined.
bool | get_strikethrough () const
| Checks whether or not a char is struckthrough.
VteCharAttributes* | gobj ()
| Provides access to the underlying C GtkObject.
const VteCharAttributes* | gobj () const
| Provides access to the underlying C GtkObject.
## Related Functions
(Note that these are not member functions.)
Gnome::Vte::CharAttributes | wrap (VteCharAttributes* object, bool take_copy=true)
| A Glib::wrap() method for this object.

## Detailed Description

CharAttributes - class storing attributes of single char in string.

## Member Function Documentation

Gdk::Color Gnome::Vte::CharAttributes::get_back | ( |  | ) | const

Gets background color of a char.

Returns:
  background color of a char.

long Gnome::Vte::CharAttributes::get_column | ( |  | ) | const

Gets column of a char.

Returns:
  column of a char.

Gdk::Color Gnome::Vte::CharAttributes::get_fore | ( |  | ) | const

Gets color of a char.

Returns:
  color of a char.

long Gnome::Vte::CharAttributes::get_row | ( |  | ) | const

Gets row of a char.

Returns:
  row of a char.

bool Gnome::Vte::CharAttributes::get_strikethrough | ( |  | ) | const

Checks whether or not a char is struckthrough.

Returns:
  `true` if char is struckthrough, otherwise `false`.

bool Gnome::Vte::CharAttributes::get_underline | ( |  | ) | const

Checks whether or not a char is underlined.

Returns:
  `true` if char is underlined, otherwise `false`.

## Friends And Related Function Documentation

Gnome::Vte::CharAttributes wrap | ( | VteCharAttributes * | object,
|  | bool | take_copy = `true`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.